<template>
  <div>
    <v-container>
      <v-row>
        <v-col>
          <div class="text-h4">About</div>
        </v-col>
      </v-row>
      <v-row>
        <v-col>
          <v-card class="mx-auto" outlined>
            <v-card-text class="text--primary">
              <div>
                Webアプリケーションのデモ公開用 兼
                ポートフォリオ用に作りました。
              </div>
              <div>
                とりあえず公開することを優先しているのでデザイン回りはまだ雑です。
              </div>
              <div>
                これから少しずつ機能を追加していきます。
              </div>
            </v-card-text>
          </v-card>
        </v-col>
      </v-row>
      <v-row>
        <v-col>
          <v-card class="mx-auto" outlined>
            <v-timeline dense>
              <v-timeline-item class="mb-4" hide-dot>
                <span class="text-subtitle-1">
                  今後の予定 (2020/6/23時点)
                </span>
              </v-timeline-item>
              <v-timeline-item
                v-for="(value, index) in schedules"
                :key="index"
                :color="value.color"
                small
              >
                <div>
                  <strong>{{ value.plan }}</strong>
                  <div class="caption">{{ value.description }}</div>
                </div>
              </v-timeline-item>
            </v-timeline>
          </v-card>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>

<script>
export default {
  data() {
    return {
      schedules: [
        {
          plan: 'Todoページ公開',
          description: '2020/6末予定',
          color: 'grey',
        },
        {
          plan: 'backendサーバー追加',
          description: '2020/7半ば予定',
          color: 'grey',
        },
        {
          plan: 'Blog公開',
          description: '2020/7末予定',
          color: 'grey',
        },
        {
          plan: 'mdでのBlog投稿・編集アプリ公開',
          description: '2020/8末予定',
          color: 'grey',
        },
      ],
    }
  },
  head() {
    return {
      title: 'about',
    }
  },
}
</script>
